#!/bin/sh

REM=$(curl -s "https://raw.githubusercontent.com/c0dev0id/dotfiles/main/.reminders/uugrn.rem")
rm -f uugrn-calendar.*

echo "$REM" | remind -b1 -p24 - 2>/dev/null | rem2pdf > uugrn-calendar.pdf
echo "$REM" | remind -b1 -p24 - 2>/dev/null | rem2html --nostyle --tableonly > uugrn-calendar.html
echo "$REM" | remind -b1 -p24 - 2>/dev/null | rem2ics > uugrn-calendar.ics

echo "<h1>UUGRN Calendar</h1>"
echo "<ul>"
echo "<li><a href=uugrn-calendar.html>HTML Format</a></li>"
echo "<li><a href=uugrn-calendar.pdf>PDF Format</a></li>"
echo "<li><a href=uugrn-calendar.ics>iCAL Format</a></li>"
echo "</ul>"

